.\" t
.\" @(#)Auto.1	12/10/98
.TH Auto 1.6 "Dec 10 1998" Auto
.UC
.SH NAME
\fBAuto\fP \- the AfterStep window auto-raise module

.SH SYNOPSIS
\fBAuto\fP [\-v | \--version] [\-h | \--help] \fIdelay\fP
.sp
Although \fBAuto\fP can be run from the command line, it is normally 
spawned by afterstep in the \fIautoexec\fP file, in the following manner:
.nf
.sp
	Module	"I"	Auto 500
.sp
.fi
or from within an afterstep menu file by 'Auto':
.nf
.sp
% cat "~/GNUstep/Library/AfterStep/start/Modules/Auto"
	Module "Auto" Auto 500
	MiniPixmap "mini-as.xpm"
.fi

To stop the \fBAuto\fP module, a menu item can be used:
.nf
.sp
% cat "~/GNUstep/Library/AfterStep/start/Modules/Auto_Stop"
	KillModuleByName "Stop Auto" Auto
	MiniPixmap "mini-as.xpm"
.fi

.SH DESCRIPTION
The \fBAuto\fP module raises a window after the specified \fBdelay\fP
period from either keyboard or mouse focus.  It can be used as a
replacement for \fIAutoRaise\fP, which is defined in the \fIfeel\fP file.

.SH OPTIONS
.IP "\-h | \--help"
Print a usage message and exit successfully.

.IP "\-v | \--version"
Print version information and exit successfully.

.SH INITIALIZATION
\fBAuto\fP has no configuration file.

.SH INVOCATION
\fBAuto\fP can be invoked from the \fIautoexec\fP file or from binding the
action "Module Auto" to a key-stroke in a \fIfeel\fP file, or from a
menu item as shown in the Synopsis section above.

AfterStep will search through the directories specified in the
\fIModulePath\fP configuration in the \fIbase.#bpp\fP (where # is your
colordepth) to attempt to locate Auto.

.SH CONFIGURATION OPTIONS
\fBAuto\fP requires a numeric argument upon invocation which specifies how
long a window must retain the keyboard input focus before it is raised.
The delay is measured in milliseconds, and any integer 0 or greater is
acceptable.

.SH AUTHOR
Frank Fejes <frank@ssax.com>
.nf
Robert Nation
.nf
David Mihm <davemann@ionet.net> [Man page]

.SH SEE ALSO
.BR afterstep (1)
